package com.chinaitop.depot.intelligent.basicdata.mapper;

import com.chinaitop.depot.intelligent.basicdata.model.TNtinfo;
import com.chinaitop.depot.intelligent.basicdata.model.TNtinfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TNtinfoMapper {
    int countByExample(TNtinfoExample example);

    int deleteByExample(TNtinfoExample example);

    int deleteByPrimaryKey(String id);

    int insert(TNtinfo record);

    int insertSelective(TNtinfo record);

    List<TNtinfo> selectByExample(TNtinfoExample example);

    TNtinfo selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TNtinfo record, @Param("example") TNtinfoExample example);

    int updateByExample(@Param("record") TNtinfo record, @Param("example") TNtinfoExample example);

    int updateByPrimaryKeySelective(TNtinfo record);

    int updateByPrimaryKey(TNtinfo record);
}